Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.io
Class UnsupportedEncodingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.io.UnsupportedEncodingException

All Implemented Interfaces:
  Serializable

    public class UnsupportedEncodingException

extends IOException

The Character Encoding is not supported.

Since:
  JDK1.1
See Also:
  Serialized Form

Constructor Summary
`UnsupportedEncodingException()` Constructs an UnsupportedEncodingException without a detail message.
`UnsupportedEncodingException(String s)` Constructs an UnsupportedEncodingException with a detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnsupportedEncodingException

    public UnsupportedEncodingException()

  Constructs an UnsupportedEncodingException without a detail message.

### UnsupportedEncodingException

    public UnsupportedEncodingException(String s)

  Constructs an UnsupportedEncodingException with a detail message.

  Parameters:
    `s` - Describes the reason for the exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.